# Uses of Interface
org.opensaml.soap.wstrust.EncryptionAlgorithm

Packages that use EncryptionAlgorithm
Package
Description
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of EncryptionAlgorithm in org.opensaml.soap.wstrust.impl

Classes in org.opensaml.soap.wstrust.impl that implement EncryptionAlgorithm
Modifier and Type
Class
Description
`class`
`EncryptionAlgorithmImpl`
EncryptionAlgorithmImpl.
Methods in org.opensaml.soap.wstrust.impl that return EncryptionAlgorithm
Modifier and Type
Method
Description
`EncryptionAlgorithm`
EncryptionAlgorithmBuilder.`buildObject()`
Builds a WS-Trust object of the given type.
`EncryptionAlgorithm`
EncryptionAlgorithmBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.